#include <bits/stdc++.h>

using namespace std;

void resi() {
    int n, s, k;
    cin >> n >> s >> k;
    long long sve = n / k, jedna = n / k + n % k;
    long long ukupno = 0;
    if(sve % 2 == 0) ukupno += (sve / 2) * (sve + 1);
    else ukupno += sve * ((sve + 1) / 2) * jedna;
    ukupno *= k - 1;
    if(jedna % 2 == 0) ukupno += (jedna / 2) * (jedna + 1);
    else ukupno += jedna * ((jedna + 1) / 2) * jedna;
    cout << (ukupno <= s ? "Tak" : "Nie") << endl;
}

int main() {
    short tc;
    cin >> tc;
    while(tc--) resi();
}